// Type definitions for ag-grid-row-unselectable v10.0.1
// Project: https://github.com/tomli/ag-grid-row-unselectable
// Definitions by: Niall Crosby <https://github.com/ceolter/>
import { Component } from "../../widgets/component";
export declare class PaginationComp extends Component {
    private gridOptionsWrapper;
    private eventService;
    private serverPaginationService;
    private paginationProxy;
    private rowRenderer;
    private btFirst;
    private btPrevious;
    private btNext;
    private btLast;
    private lbRecordCount;
    private lbFirstRowOnPage;
    private lbLastRowOnPage;
    private eSummaryPanel;
    private lbCurrent;
    private lbTotal;
    private paginationService;
    constructor();
    private postConstruct();
    private onPaginationChanged();
    private setCurrentPageLabel();
    private getTemplate();
    private onBtNext();
    private onBtPrevious();
    private onBtFirst();
    private onBtLast();
    private enableOrDisableButtons();
    private updateRowLabels();
    private isZeroPagesToDisplay();
    private setTotalLabels();
}
